import 'dart:developer' as developer;
import 'package:flutter/foundation.dart';

class Log {
  Log._();

  static void print(dynamic value, {StackTrace? stackTrace}) {
    // استخدام debugPrint بدلاً من print العادي لتجنب تعليق الجهاز في الرسائل الطويلة
    debugPrint("LOG: ${value.toString()}");

    // يمكن أيضاً إرسالها للـ developer log لضمان ظهورها في الـ Debug Console الخاص بـ VS Code
    developer.log(value.toString(), name: 'LOG', stackTrace: stackTrace);
  }

  static Object? inspect(Object? object) {
    return developer.inspect(object);
  }
}
